// WaveRec.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "WaveRec.h"
#include "WaveRecDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWaveRecApp

BEGIN_MESSAGE_MAP(CWaveRecApp, CWinApp)
	//{{AFX_MSG_MAP(CWaveRecApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWaveRecApp construction

CWaveRecApp::CWaveRecApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CWaveRecApp object

CWaveRecApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CWaveRecApp initialization

BOOL CWaveRecApp::InitInstance()
{
	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	::CoInitialize(NULL);

	CWaveRecDlg* dlg = new CWaveRecDlg;
	m_pMainWnd = dlg;
	int nResponse = dlg->DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.

	delete dlg;
	::CoUninitialize();

	return FALSE;
}
