// WaveRecDlg.h : header file
//

#if !defined(AFX_WAVERECDLG_H__C3036A30_D90E_4F23_95F1_EE056EE70C25__INCLUDED_)
#define AFX_WAVERECDLG_H__C3036A30_D90E_4F23_95F1_EE056EE70C25__INCLUDED_

#pragma warning(disable: 4786)

#import "..\..\..\common\VCProX.ocx"
using namespace VCProX;

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWaveRecDlg dialog

class CWaveRecDlg : public CDialog
{
// Construction
public:
	CWaveRecDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWaveRecDlg)
	enum { IDD = IDD_WAVEREC_DIALOG };
	CButton	m_PStereo;
	CEdit	m_PSamplingRate;
	CEdit	m_PBits;
	CButton	m_PLoop;
	CButton	m_RStereo;
	CComboBox	m_RSamplingRate;
	CComboBox	m_RBits;
	CComboBox	m_PDevice;
	CComboBox	m_RDevice;
	CButton	m_PlayBtnStop;
	CButton	m_PlayBtnStart;
	CButton	m_RecBtnStop;
	CButton	m_RecBtnStart;
	CString	m_FileName_Rec;
	CString	m_FileName_Play;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWaveRecDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWaveRecDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	afx_msg void OnClose();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButton7();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	//IvcproWaveInDeviceXPtr m_WaveIn;
	HexComPtr<HEX_IIID(IvcproWaveInDeviceX)> m_WaveIn;
	//IvcproWaveRiffXPtr m_WaveRiff_Rec, m_WaveRiff_Play;
	HexComPtr<HEX_IIID(IvcproWaveRiffX)> m_WaveRiff_Rec, m_WaveRiff_Play;
	//IvcproWaveOutDeviceXPtr m_WaveOut;
	HexComPtr<HEX_IIID(IvcproWaveOutDeviceX)> m_WaveOut;
	void VCInit();
	void VCUninit();
	void SetLink(IvcproProviderPtr provider, IvcproConsumerPtr consumer);
	void Play(bool bStart = true);
	void Rec(bool bStart = true);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WAVERECDLG_H__C3036A30_D90E_4F23_95F1_EE056EE70C25__INCLUDED_)
